# Coriolis Core (CRL) Documentation

Public Member Functions | List of all members
CRL::Banner Class Reference

Print Formatted Banners (on ttys). More...

## Public Member Functions
| Banner (string name="", string version="", string purpose="", string date="", string authors="", string contributors="")
const string & | getName () const
const string & | getVersion () const
const string & | getPurpose () const
const string & | getDate () const
const string & | getAuthors () const
const string & | getContributors () const
unsigned int | getScreenWidth () const
void | setName (string name)
void | setVersion (string version)
void | setPurpose (string purpose)
void | setDate (string date)
void | setAuthors (string authors)
void | setContributors (string contributors)
void | setScreenWidth (unsigned screenWidth)

## Detailed Description

Print Formatted Banners (on ttys).

Display a traditionnal UNIX like banner for tty:

                                                   @
                                                  @@
                                 @@@     @@@@@@   @@
                               @@   @@  @@  @@  @@@@@@@@
                              @@     @  @   @@    @@
                              @@        @   @     @@
                              @@         @@@      @@
                              @@     @  @@        @@
                               @@   @@  @@@@@@    @@   @
                                 @@@   @@   @@@    @@@@
                                        @     @
                                         @@@@@

                                Coriolis Graphical Tool

            Coriolis CAD System 1.0,                               cgt 1.0b
            Copyright (c) 2008-2012,                          SoC/LIP6/UPMC
            Author(s):                                     Jean-Paul Chaput
            E-mail:                             alliance-users@asim.lip6.fr

## Constructor & Destructor Documentation

## ◆ Banner()

CRL::Banner::Banner | ( | std::string | name = `""`,
|  | std::string | version = `""`,
|  | std::string | purpose = `""`,
|  | std::string | date = `""`,
|  | std::string | authors = `""`,
|  | std::string | contributors = `""`
| ) |  |

Parameters

  name | The tool name.
  version | The tool version.
  purpose | A short description of what it does.
  date | The date of the first release.
  authors | The list of authors.
  contributors | A list of contributors.

Create a banner object.

## Member Function Documentation

## ◆ getName()

const std::string & CRL::Banner::getName | ( |  | ) | const
| inline

Returns: The tool's name.

## ◆ getVersion()

const std::string & CRL::Banner::getVersion | ( |  | ) | const
| inline

Returns: The tool's version.

## ◆ getPurpose()

const std::string & CRL::Banner::getPurpose | ( |  | ) | const
| inline

Returns: The tool short description.

## ◆ getDate()

const std::string & CRL::Banner::getDate | ( |  | ) | const
| inline

Returns: The tool fisrt release date (year).

## ◆ getAuthors()

const std::string & CRL::Banner::getAuthors | ( |  | ) | const
| inline

Returns: The list of main author's names.

## ◆ getContributors()

const std::string & CRL::Banner::getContributors | ( |  | ) | const
| inline

Returns: The list of contributor's names.

## ◆ getScreenWidth()

const unsigned int CRL::Banner::getScreenWidth | ( |  | ) | const
| inline

Returns: The with of the screen (tty) into which the banner will be displayed.

## ◆ setName()

void CRL::Banner::setName | ( | std::string | name | ) |

Sets the tool's name.

## ◆ setVersion()

void CRL::Banner::setVersion | ( | std::string | version | ) |

Sets the tool's version.

## ◆ setPurpose()

void CRL::Banner::setPurpose | ( | std::string | purpose | ) |

Sets the tool short description.

## ◆ setDate()

void CRL::Banner::setDate | ( | std::string | date | ) |

Sets the tool fisrt release date (year).

## ◆ setAuthors()

void CRL::Banner::setAuthors | ( | std::string | authors | ) |

Sets the list of main author's names.

## ◆ setContributors()

void CRL::Banner::setContributors | ( | std::string | contributors | ) |

Sets the list of contributor's names.

## ◆ setScreenWidth()

void CRL::Banner::setScreenWidth | ( | unsigned | screenWidth | ) |

Sets the with of the screen (tty) into which the banner will be displayed.

The documentation for this class was generated from the following files:

- Banner.h
- Banner.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved